d = 50;
n = 1000;
ws = rand(d,1);
e = rand(n,1);
x = rand(n,d);
y = x*ws+e;
x = [ ones(n,1) x];

%SGD
option.Maxiter = 50;
option.model = 'SGD';
option.eta = 0.1;
[ wSGD,lossSGD ] = SGD_all( x, y,option );
%CSGD
option.model = 'NSGD';
option.eta = 1;
[ wNSGD,lossNSGD ] = SGD_all( x, y,option );
%CSGD
option.model = 'CSGD';
option.eta = 2;
[ wCSGD,lossCSGD ] = SGD_all( x, y,option );
close all
plot(1:n*option.Maxiter,lossSGD,'-ob');hold on;
plot(1:n*option.Maxiter,lossNSGD,'-*g');
plot(1:n*option.Maxiter,lossCSGD,'-*r');
legend('SGD','NSGD','CSGD');
set(gca,'YScale','log');
set(gca,'XScale','log');